.editor-div {
  max-width: 500px;
  /* background: green; */
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-family: "Fira Code", monospace;
}
.CodeMirror-scroll {
  width: 80vw;
}

#output {
  background: #111;
  color: rgb(209, 209, 209);
  color: #0f0;
  padding: 10px 20px;
  border-radius: 8px;
  min-height: 100px;
  width: 77vw;
  font-family: monospace;
  white-space: pre-wrap;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
  /* background-color: yellow; */
}

.editor-div > h1 {
  color: rgb(0, 166, 255);
  margin-bottom: 10px;
}
.editor-div > p {
  color: rgb(0, 208, 255);
  margin-top: 10px;
}

.editor-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 20px;
  background: #161616;
  padding: 20px;
  /* border-radius: 12px;  */
  overflow: hidden;
}

#learning {
  padding: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100vw;
  /* background: #0d1117; */
}

#guess {
  width: 500px;
  /* height: 600px; */
  padding: 20px;
  border-radius: 12px;
  overflow: hidden;
  background: #161616;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  font-family: Arial, sans-serif;
}


#languageSelect,
#runCode {
  padding: 8px 12px;
  border: none;
  border-radius: 6px;
  margin-bottom: 10px;
  background: #21262d;
  color: #fff;
  font-size: 14px;
  cursor: pointer;
}

#runCode:hover {
  background: #30363d;
}

.CodeMirror {
  border: 1px solid #444;
  height: 300px;
  font-size: 15px;
  border-radius: 8px;
  overflow: hidden;
}

.output-div {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}



#status {
  font-size: 14px;
  /* color: #58a6ff; */
  margin-top: 5px;
  /* background-color: red; */
  color: #8ab4f8;
}

#code {
  width: 100%;
  height: 200px;
  background: #111;
  color: #0f0;
  border-radius: 10px;
}

.buttons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}


#guess > h1 {
  color: rgb(0, 166, 255);
  margin-bottom: 10px;
  font-size: 2.5rem;
}

#guess-input {
  width: 100%;
  height: 100px;
  padding: 15px;
  background: rgba(255, 255, 255, 0.05);
  border: 1px solid #35a9f633;
  border-radius: 8px;
  color: #0f0;
  font-family: inherit;
}

#question-box {
  margin-bottom: 15px;
}

#question {
  background: #282a36;
  width: full;
  height: 200px;
  border-radius: 15px;
  padding: 15px;
}

textarea {
  width: 100%;
  height: 120px;
  padding: 10px;
  border-radius: 8px;
}

#buttons {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

button {
  padding: 8px 16px;
  border: none;
  background: black;
  color: white;
  border-radius: 6px;
  cursor: pointer;
}

button:hover {
  background: #333;
}

#result {
  margin-top: 10px;
  font-weight: bold;
}
